OUTPUT_FORMAT("coff-sh")
OUTPUT_ARCH(sh)
MEMORY
{
/*CS1 16BIT BUS*/
  rom    : o = 0x00400400, l = 0x0007fc00
  ram    : o = 0x00480000, l = 0x0007eff0
  stack  : o = 0x004feff0, l = 0x00000010

/*CS1 8BIT BUS*/
/*
  rom    : o = 0x00400400, l = 0x0003fc00
  ram    : o = 0x00440000, l = 0x0003eff0
  stack  : o = 0x0047eff0, l = 0x00000010
*/
}
SECTIONS
{
  .text :
  {
     _stext = . ; 
    *(.text)
    *(.strings)
     _etext = . ; 
  }  > rom
  .data : AT ( ADDR (.text) + SIZEOF (.text) )
  {
     _sdata = . ; 
    *(.data)
     _edata = . ; 
  }  > ram
  .bss :
  {
     _bss_start = . ; 
    *(.bss)
    *(COMMON)
     _end = . ;  
  }  > ram
  .stack :
  {
     _stack_top = . ; 
    *(.stack)
  } > stack
}
