/****************************************************************************/
/*																			*/
/*		VisualMonitorp AP-SH3D-0A TvvO						*/
/*			C														*/
/*																			*/
/*			Copyright   :: At@vWFNg							*/
/*			Cpu         :: SH7729											*/
/*			Language    :: GCC												*/
/*			File Name   :: main.c											*/
/*																			*/
/****************************************************************************/
#include	"sh7709a.h"
#include	"gmachine.h"
#include	"userlog.h"

/************************************/
/*	vg^Cv錾				*/
/************************************/

void boot(void);
void __main(void);
int main(void);
void sectionInit(void);

void tmu0_init(void);
void int_tuni0(void);

void tmu1_init(void);
void int_tuni1(void);

/************************************/
/*	VXȅ				*/
/************************************/
#define		UserLogAdd		0x0cfff000	/*ޯpRAM̈̐擪w*/
#define		VectorTableAdd	0x0c000000	/*xN^擪AhXw*/

/*	__main(_~[)				*/
void __main(void)
{
}

/*	CPU					*/
void boot(void)
{
	/*IO|[gݒ*/
	PC.CR.WORD=0x5555;				/*[OUT] PTC7~0							*/
	PD.CR.WORD=0x6655;				/*[OUT] PTD7,5,3~0	[IN] PTD6,4			*/
	PJ.CR.WORD=0x4000;				/*[OUT] PTJ7							*/
									/*STARUS0 CASHH CASHL					*/
									/*CASLH CASLL RAS2L RAS3L				*/
	/**/
	sectionInit();
	
	/*C[`̌Ăяo*/
	main();
	
	for(;;);
}

/*	ZNV			*/
extern char __dtors_end, sdata, edata, bss_start, end;
void sectionInit()
{
	char *src;
	char *dst;
	
	/*f[^̈*/
	src = &__dtors_end;
	dst = &sdata;
	while(dst < &edata)
	{
		*dst++ = *src++;
	}
	
	/*f[^̈*/
	dst = &bss_start;
	while(dst < &end)
	{
		*dst++ = 0;
	}
}

/************************************/
/*	C						*/
/************************************/

/*	MAIN֐					*/
unsigned long _500msec_counter;			/*500msec^C}JE^*/
unsigned long _1000msec_counter;		/*1000msec^C}JE^*/
int main()
{
	char buf[10] = "Count =  ";			/*[UO\p*/
	unsigned short UserLogCount;		/*[UO\pJE^*/
	
	vect_table_address(VectorTableAdd);	/*xN^e[ũAhXݒ*/
	tmu0_init();						/*TMU0*/
	tmu1_init();						/*TMU1*/
	UserLogInit(UserLogAdd);			/*հް۸޸ڽݒ*/
	
	_500msec_counter = 0;
	_1000msec_counter = 0;
	UserLogCount = 0;
	
	set_imask(0);						/*荞݃}XNx(0)̎w*/
	
	for(;;)
	{
		/*[UO\i1000msecɏój*/
		if (_1000msec_counter >= 100)	/*1000msec = 100 * 10msec*/
		{
			_1000msec_counter = 0;
			
			buf[8] = UserLogCount | 0x30;
			UserLogPut(&buf[0]);		/*[UO\*/
			UserLogCount++;
			if (UserLogCount >= 10)
			{
				UserLogCount = 0;
			}
		}
		
		/*LED ̓_Łi500msec ON/OFFj*/
		if (_500msec_counter >= 50)		/*500msec = 50 * 10msec*/
		{
			_500msec_counter = 0;
			
			PJ.DR.BYTE ^= 0x80;			/*LED ̏o͂𔽓]*/
		}
	}
	
	return 0;
}

/************************************/
/*	TMU0 荞݁i10msecj			*/
/************************************/

/*	TMU0 					*/
void tmu0_init(void)
{
	/*TMU0 D惌x = 7*/
	INTC.IPRA.WORD = (INTC.IPRA.WORD & ~0xf000) | 0x7000;
	
	/*荞݃nh̐ݒ*/
	def_int_hdr(((0x0400 >> 5) & 0x007f),(void *)int_tuni0,7);
	
	/*TMU0 ̐ݒ*/
	TMU.TSTR.BYTE &= ~0x01;				/*TMU0 ~*/
	TMU0.TCR.WORD = 0x0020;				/*A_[t[荞݋*/
										/*P/4 ŃJEg*/
	TMU0.TCNT = TMU0.TCOR = 40000 - 1;	/*10msec ^C}Zbg*/
										/*40000 = (16MHz / 4) * (0.01sec)*/
	TMU0.TCR.WORD = TMU0.TCR.WORD & (~0x0100);	/*荞݃tONA*/
	TMU.TSTR.BYTE |= 0x01;				/*TMU0 X^[g*/
}

/*	TMU0 荞				*/
void int_tuni0(void)
{
	static unsigned char flag;
	
	/*荞݃tONA*/
	TMU0.TCR.WORD = TMU0.TCR.WORD & (~0x0100);
	
	/*|[g(PTD) ON/OFF*/
	if (flag == 0) 
	{
		PD.DR.BYTE = 0xaf;
		flag = 1;
	} 
	else
	{
		PD.DR.BYTE = 0x00;
		flag = 0;
	}
	
	_500msec_counter++;
	_1000msec_counter++;
}

/************************************/
/*	TMU1 荞݁i5msecj			*/
/************************************/

/*	TMU1 					*/
void tmu1_init(void)
{
	/*TMU1 D惌x = 7*/
	INTC.IPRA.WORD = (INTC.IPRA.WORD & ~0x0f00) | 0x0700;
	
	/*荞݃nh̐ݒ*/
	def_int_hdr(((0x0420 >> 5) & 0x007f),(void *)int_tuni1,7);
	
	/*TMU1 ̐ݒ*/
	TMU.TSTR.BYTE &= ~0x02;				/*TMU1 ~*/
	TMU1.TCR.WORD = 0x0020;				/*A_[t[荞݋*/
										/*P/4 ŃJEg*/
	TMU1.TCNT = TMU1.TCOR = 20000 - 1;	/*5msec ^C}Zbg*/
										/*20000 = (16MHz / 4) * (0.005sec)*/
	TMU1.TCR.WORD = TMU1.TCR.WORD & (~0x0100);	/*荞݃tONA*/
	TMU.TSTR.BYTE |= 0x02;				/*TMU1 X^[g*/
}

/*	TMU1 荞ݏ			*/
void int_tuni1(void)
{
	static unsigned char flag;
	
	/*荞݃tONA*/
	TMU1.TCR.WORD = TMU1.TCR.WORD & (~0x0100);
	
	/*|[g(PTC) ON/OFF*/
	if (flag == 0) 
	{
		PC.DR.BYTE = 0xff;
		flag = 1;
	} 
	else
	{
		PC.DR.BYTE = 0x00;
		flag = 0;
	}
}
